Bug 1128707 - [Build 20190310] Element profile has extra content: add-on
[Build 20190310] Element profile has extra content: add-on
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: AutoYaST
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Stefan Schubert
E-mail List
https://openqa.opensuse.org/tests/876...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-11 11:44 UTC by Dominique Leuenberger
Modified: 2022-02-04 11:55 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-03-11 11:44:00 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-clone_system@64bit fails in
[yast2_clone_system](https://openqa.opensuse.org/tests/876285/modules/yast2_clone_system/steps/34)

## Test suite description
Maintainer: okurz@suse.de
Clone the system into an autoyast profile to be used by downstream jobs, e.g. to test reinstall from that profile.


## Reproducible

Fails since (at least) Build [20190215](https://openqa.opensuse.org/tests/855916)


## Expected result

Last good: [20190214](https://openqa.opensuse.org/tests/854840) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?machine=64bit&arch=x86_64&version=Tumbleweed&test=clone_system&flavor=DVD&distri=opensuse)


Error reported by the validator:

/root/autoinst.xml:4: element add-on: Relax-NG validity error : Element profile has extra content: add-on
/root/autoinst.xml fails to validate
Comment 2 David Diaz 2019-03-12 09:45:59 UTC
Just for the record, the `jing` output was:

> ./00876285-autoinst.xml:13:12: error: element "smt" not allowed here; expected the element end-tag or element "
activate", "append_failsafe", "boot_boot", "boot_custom", "boot_extended", "boot_mbr", "boot_root", "cryptodisk", "default", "distributor",
"failsafe_disabled", "generic_mbr", "gfxbackground", "gfxmenu", "gfxtheme", "lines_cache_id", "serial", "stage1_dev", "suse_btrfs", "terminal", "timeout", "trusted_grub", "vgamode", "xen_append" or "xen_kernel_append"                                                              
> ./00876285-autoinst.xml:1149:51: error: element "home_btrfs_subvolume" not allowed here; expected the element end-tag or element "forename", "group", "groups", "password_settings", "shell", "surname", "uid", "user_password" or "username"             
> ...

which gave us more useful information about what was wrong.

In words of our colleague Imo, 

> xmllint is only useful to tell you whether it is valid or not
Comment 3 Dominique Leuenberger 2019-03-19 07:21:25 UTC
Hmm. openQA test still fails, currently reporting:

/usr/share/YaST2/schema/autoyast/rng/bootloader.rng:119: element interleave: Relax-NG parser error : Element or text conflicts in interleave
Relax-NG schema /usr/share/YaST2/schema/autoyast/rng/profile.rng failed to compile

(yast2-users and yast2-bootloader have been checked in, yast2-schema is pending, but it was rebuilt with the two mentioned submissions, which means the diff in yast2-schema, only requiring new enough versions, should be a NOP)
Comment 4 Stefan Schubert 2019-03-25 08:38:15 UTC
Is this still the used AY file ?
https://openqa.opensuse.org/assets/other/00876285-autoinst.xml
Comment 5 Dominique Leuenberger 2019-03-25 08:52:39 UTC
(In reply to Stefan Schubert from comment #4)
> Is this still the used AY file ?
> https://openqa.opensuse.org/assets/other/00876285-autoinst.xml

That's the file that was created by "yast2 clone_system" - and that fails validation, indeed
Comment 6 Stefan Schubert 2019-03-25 15:27:35 UTC
Next round:
https://github.com/yast/yast-schema/pull/52
https://github.com/yast/yast-bootloader/pull/558
Hopefully the last one......
Comment 7 Dominique Leuenberger 2019-04-03 07:10:43 UTC
(In reply to Stefan Schubert from comment #6)
> Next round:
> https://github.com/yast/yast-schema/pull/52
> https://github.com/yast/yast-bootloader/pull/558
> Hopefully the last one......

At least for now, it seems this WAS the last round: openQA passed again!

https://openqa.opensuse.org/tests/898124#

Thanks for all the patience in getting to the bottom of this.
Comment 9 Dominique Leuenberger 2019-05-06 11:57:34 UTC
Issue has re-appeared in snapshot 0505:

https://openqa.opensuse.org/tests/925504#step/yast2_clone_system/34

The generrated autoinstl.xml to be validated can be found at
https://openqa.opensuse.org/assets/other/00925504-autoinst.xml
Comment 10 Stefan Schubert 2019-05-06 15:26:46 UTC
OK, now it is the "cpu_mitigations" flag which is missed.....
Comment 11 Stefan Schubert 2019-05-07 07:31:29 UTC
Submitted new yast2-schema: SR 192083
I have seen that the uesed ISO in OpenQA includes jing now. What about using it instead of xmllint ? The output is much more better.
Comment 13 Swamp Workflow Management 2019-06-25 16:12:21 UTC
SUSE-RU-2019:1702-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1128707
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    yast2-schema-4.1.7-3.3.8

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2019-07-19 19:14:16 UTC
openSUSE-RU-2019:1745-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1128707
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    yast2-schema-4.1.7-lp151.2.3.1